package cz.senslog.connector.model.soilscount;

import cz.senslog.connector.model.api.AbstractModel;

import java.time.OffsetDateTime;
import java.util.Collections;
import java.util.List;

public class SoilscountModel extends AbstractModel {

    public static SoilscountModel emptyModel() {
        return new SoilscountModel(Collections.emptyList(), Collections.emptyList(), OffsetDateTime.MIN, OffsetDateTime.MAX);
    }

    private final List<Device> devices;
    private final List<Measurement> measurement;

    public SoilscountModel(List<Device> devices, List<Measurement> measurement, OffsetDateTime from, OffsetDateTime to) {
        super(from, to);
        this.devices = devices;
        this.measurement = measurement;
    }

    public List<Device> getDevices() {
        return devices;
    }

    public List<Measurement> getMeasurement() {
        return measurement;
    }
}
